<layout-basic-slides
  [title]="'AUTH.LOGIN.SLIDE.TITLE' | translate"
  [description]="'AUTH.LOGIN.SLIDE.DESCRIPTION' | translate"
  [useAsContent]="true"
  [onlyLogo]="false"
>
  <div class="auth">
    <h1 class="auth__title">{{'AUTH.LOGIN.TITLE' | translate}}</h1>
    <p class="auth__description">{{'AUTH.LOGIN.DESCRIPTION' | translate}}</p>
    <form class="auth__form" [formGroup]="form" (ngSubmit)="onSubmit()">
      <mo-input
        formControlName="username"
        [placeholder]="'AUTH.LOGIN.EMAIL' | translate"
        [icon]="'uil-envelope-alt'"
        [iconPosition]="ICON_POSITION.LEFT"
        [type]="INPUT_TYPE.EMAIL"
      ></mo-input>
      <mo-input
        formControlName="password"
        [placeholder]="'AUTH.LOGIN.PASSWORD' | translate"
        [type]="INPUT_TYPE.PASSWORD"
      ></mo-input>
      <div class="link">
        <a [routerLink]="urlForgotPassword">
          {{'AUTH.LOGIN.FORGOT_PASSWORD' | translate }}
        </a>
      </div>
      <div class="buttons">
        <mo-button
          [text]="'AUTH.LOGIN.LOGIN' | translate"
          [designClass]="BUTTON_DESIGN_CLASS.INDIGO"
          [size]="SIZES.MD"
          [type]="BUTTON_TYPE.SUBMIT"
          [isLoading]="(isLoadingLogin$ | async)"
          [isDisabled]="(isLoadingLogin$ | async)"
        >
        </mo-button>
      </div>
    </form>
  </div>
</layout-basic-slides>
